function drawMap()
    love.graphics.setColor(255,255,255,255)

    --draw the map
    for y=1, #map do
        for x=1,#map[y] do
            if map[y][x] ~= 0 then
            love.graphics.drawq(imageTiles, tileQuads[(map[y][x])], math.floor((x-1)*size-dispx), math.floor((y-1)*size),0) 
            end
        end
    end
end

function drawClouds()
    for i=1, #clouds do
        love.graphics.setColor(255,255,255,clouds[i].alpha)
        love.graphics.draw(cloud,mf(clouds[i].x-dispx*0.05),clouds[i].y,0,clouds[i].scale)
    end
end

function drawScrolling()
    for i=1, #bgscrolling do
        love.graphics.setColor(255,255,255,255)
        love.graphics.draw(bgscrolling[i].img,mf(bgscrolling[i].x-dispx*bgscrolling[i].speed),bgscrolling[i].y)
    end
end

function drawTimer()
    love.graphics.setColor(0,0,0,255)
    local xs = 1
    local rot = 0

    local xb =0
    local yb =0

    if mf(player.frame) == 1 then
        --frame1
        rot = -0.1
    end

    if mf(player.frame) == 3 then
        --frame1
        rot = 0.1
        xb = 3
        yb = -3
    end
    
    if mf(player.frame) == 4 then
        --frame1
        rot = 0.2
        xb = 5
        yb = -3
        xs = 0.9
    end

    if mf(player.frame) == 5 then
        --frame1
        rot = 0.2
        xb = 7
        yb = -2
        xs = 0.9
    end

    if mf(player.frame) == 7 then
        --frame1
        rot = -0.1
    end
    
    if player.time ~= 10 then
        xb = xb+5
    end
    if player.dir == 1 then love.graphics.print(mf(player.time),player.x+25+xb,player.y+5+yb,rot,xs,1) end
    if player.dir == -1 then love.graphics.print(mf(player.time),player.x+25-xb+25,player.y+5-yb-3,-rot,-xs,1) end
end