function loadMap(mapnumber)
    -- en lista för kartan
    local array = {}
    -- en sträng för raden du läser
    local line = ""
    --vilken rad är vi på?
    local i = 1
    print("loading map")
	
    --detta körst för varje rad i filen "map-mapnumber.txt"
    for line in love.filesystem.lines("map-"..mapnumber..".txt") do
		if string.find(line, "c") then
			line = string.sub(line, 3, -1)
			local a = split(line, " " )
			coordinates.x = tonumber(a[1])
			coordinates.y = tonumber(a[2])
		else
			-- det kommer bli en lista i listan
			array[i] = {}
			-- vi setter den till en splitt av raden
			array = split(line, " ")
			--vi loopar igenom och ser till att alla är nummer och inte strängar
			for o=1,#array do
				array[o] = tonumber(array[o])
			end
	
			i = i + 1
		end
    end
    
    --nu skickar vi tillbacka kartan
    return array
	
end

function constructQuadData(image,tilesize)

    local tiles = {}

    for o=0, math.floor(wholeH/(size))-1 do
        for i=0, math.floor(wholeW/(size))-1 do
            table.insert(tiles, love.graphics.newQuad(i*size, o*size, size, size, wholeW, wholeH))
        end
    end

    return tiles
end

function split(s,d)
    -- en splitfunktion, som i python.. hittade den online ;)

   local t = {}
   local i = 0
   local f
   local match = '(.-)' .. d .. '()'
   if string.find(s, d) == nil then
      return {s}
   end
   for sub, j in string.gfind(s, match) do
         i = i + 1
         t[i] = tonumber(sub)
         f = j
   end
   if i~= 0 then
      t[i+1]=string.sub(s,f)
   end
   return t
end